public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Dale Showers" <gentoo@fictx.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: www-client/nyxt/
Date: Thu,  1 Aug 2024 23:01:41 +0000 (UTC)	[thread overview]
Message-ID: <1722553295.abab298880f704b09ae7fa44ff24d3c1e8a3205d.gentoo@gentoo> (raw)

commit:     abab298880f704b09ae7fa44ff24d3c1e8a3205d
Author:     Dale Showers <gentoo <AT> fictx <DOT> com>
AuthorDate: Thu Aug  1 23:00:44 2024 +0000
Commit:     Dale Showers <gentoo <AT> fictx <DOT> com>
CommitDate: Thu Aug  1 23:01:35 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=abab2988

www-client/nyxt: add v3.11.8

Signed-off-by: Dale Showers <gentoo <AT> fictx.com>

 www-client/nyxt/Manifest           |  1 +
 www-client/nyxt/nyxt-3.11.8.ebuild | 87 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/www-client/nyxt/Manifest b/www-client/nyxt/Manifest
index 1689bb25b..9f01896b1 100644
--- a/www-client/nyxt/Manifest
+++ b/www-client/nyxt/Manifest
@@ -2,3 +2,4 @@ DIST nyxt-3.11.4.gh.tar.xz 18095472 BLAKE2B 04aa9378efbf23153044c8e64f303240a9c4
 DIST nyxt-3.11.5.gh.tar.xz 18100684 BLAKE2B 190ca6087cd781253bb08818072122bd720b423981621b5c94eb525816893ac9438bf278068378a60f3514b806f4681f697d7ff2061e2b71daf00b722c33b5c4 SHA512 1991c4c16e45df08b0630f003ca52213697a569e7545e412ede0a72af67337076c0e2605f4d85388717505513438bfcc2401db8a49c0d5a3c6e734669ac56661
 DIST nyxt-3.11.6.gh.tar.xz 18092664 BLAKE2B ec540c4d751cb3d85df3c39fac6b48cb4355975c43f14391565fc72ec3aba9281001919251cb3d62800ac58501f33193ce96eedc720a6b41b2a5d4257c323202 SHA512 29aece8bf7c5d0ac47ab33e3f3387da7e62d669be1f2b7d08b27897982dcf07470c9d0cc59c58eee3bb174429d0f08226e51735162b87b37a2cf69148ec45f26
 DIST nyxt-3.11.7.gh.tar.xz 18094656 BLAKE2B 6e7dbe65601525fafa493cc86689062a3157812f8d7991bee42926291efeaddb699596d6eaa7207c633ec2e6beb3cd32884ba1ab0990aafeace8080b5cb242c1 SHA512 853cb4ec7fe0e04a9f4672170965d6e71c9c81d77382b08f3abe8bb68ce6d44b6ba2a8c3ed6d7d47b2a0a6a92cc3c312189ea7a0635f1a7a3c1ebcea8f710a40
+DIST nyxt-3.11.8.gh.tar.xz 18101916 BLAKE2B b90d7967367ce0628e1451a04cab1fde3608a8f2137d5907a1247379a711e19168b2b7d04852f831a5f0ecb5680a79b4a31a235b7002ffd4de4dc99f8c70f2b7 SHA512 f6b1fcbb4bc4436cc39b0766f7a6a4e57cee81b785e04b1897c04836c6f349a8b5149118869fe36c8cc4c89518c88df75a47118f422149149f25b606a192cdf2

diff --git a/www-client/nyxt/nyxt-3.11.8.ebuild b/www-client/nyxt/nyxt-3.11.8.ebuild
new file mode 100644
index 000000000..ca8d78a87
--- /dev/null
+++ b/www-client/nyxt/nyxt-3.11.8.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop optfeature xdg
+
+DESCRIPTION="Nyxt - the hacker's power-browser"
+HOMEPAGE="https://nyxt.atlas.engineer/"
+
+if [[ ${PV} == 9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/atlas-engineer/${PN}.git"
+	EGIT_SUBMODULES=( '*' )
+	EGIT_BRANCH="master"
+	EGIT_CHECKOUT_DIR="${S}"
+else
+	KEYWORDS="~amd64"
+	SRC_URI="https://github.com/atlas-engineer/${PN}/releases/download/${PV}/nyxt-${PV}-source-with-submodules.tar.xz -> ${PF}.gh.tar.xz"
+fi
+
+LICENSE="BSD CC-BY-SA-3.0"
+SLOT="0"
+IUSE="doc"
+
+# Portage replaces the nyxt binary with sbcl when stripping
+RESTRICT="mirror strip"
+
+RDEPEND="
+	dev-libs/gobject-introspection
+	gnome-base/gsettings-desktop-schemas
+	net-libs/glib-networking
+	net-libs/webkit-gtk:4.1
+	sys-libs/libfixposix
+"
+
+DEPEND="${RDEPEND}"
+BDEPEND="
+	>=dev-lisp/sbcl-2.0.0[threads,unicode]
+"
+QA_FLAGS_IGNORED="usr/bin/${PN}"
+
+if [[ "${PV}" != 9999 ]]; then
+	src_unpack() {
+		mkdir "${WORKDIR}/${P}" || die
+		cd "${WORKDIR}/${P}"
+		default
+}
+
+fi
+
+src_compile() {
+	emake all
+	use doc && emake doc
+}
+
+src_install(){
+	dobin "${S}/nyxt"
+
+	if [ "$(use doc)" ]
+	then
+		docinto "/usr/share/doc/${P}"
+		dodoc "${S}/manual.html"
+	fi
+
+	for icon in 16x16 32x32  128x128 256x256 512x512; do
+		newicon -s ${icon} "${S}/assets/nyxt_${icon}.png" ${PN}.png
+	done
+
+	domenu "${S}/assets/nyxt.desktop"
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	optfeature "for X11 clipboard support" "x11-misc/xclip"
+	optfeature "for spellchecking" "app-text/enchant"
+	optfeature "for HTML5 audio/video" "media-libs/gstreamer"
+	optfeature "for HTML5 audio/video" "media-libs/gst-plugins-bad"
+	optfeature "for HTML5 audio/video" "media-libs/gst-plugins-base"
+	optfeature "for HTML5 audio/video" "media-libs/gst-plugins-good"
+	optfeature "for HTML5 audio/video" "media-libs/gst-plugins-ugly"
+	optfeature "for HTML5 audio/video" "media-plugins/gst-plugins-libav"
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+}


             reply	other threads:[~2024-08-01 23:01 UTC|newest]

Thread overview: 58+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-08-01 23:01 Dale Showers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-30 19:41 [gentoo-commits] repo/proj/guru:dev commit in: www-client/nyxt/ Dale Showers
2024-08-30 19:38 Dale Showers
2024-08-18 14:24 Dale Showers
2024-05-31 23:25 Dale Showers
2024-05-31 23:13 Dale Showers
2024-05-31 22:59 Dale Showers
2024-05-31  8:55 [gentoo-commits] repo/proj/guru:master " Julien Roy
2024-05-31  8:45 ` [gentoo-commits] repo/proj/guru:dev " Julien Roy
2024-05-31  8:55 [gentoo-commits] repo/proj/guru:master " Julien Roy
2024-05-31  8:45 ` [gentoo-commits] repo/proj/guru:dev " Julien Roy
2024-05-30 19:55 Dale Showers
2024-04-29 16:26 Dale Showers
2024-04-14 16:43 Dale Showers
2024-03-19 23:50 [gentoo-commits] repo/proj/guru:master " Julien Roy
2024-03-19 23:50 ` [gentoo-commits] repo/proj/guru:dev " Julien Roy
2024-03-19 23:50 [gentoo-commits] repo/proj/guru:master " Julien Roy
2024-03-19 23:50 ` [gentoo-commits] repo/proj/guru:dev " Julien Roy
2024-03-19 23:09 Dale Showers
2024-03-04 14:43 Dale Showers
2024-02-20 15:32 Dale Showers
2024-02-06 18:10 Dale Showers
2024-02-06 18:06 Dale Showers
2023-10-14 19:33 Julien Roy
2023-10-14 19:33 Julien Roy
2023-10-14 19:33 Julien Roy
2023-09-28 19:37 Julien Roy
2023-09-12 19:09 Julien Roy
2023-09-12 19:09 Julien Roy
2023-09-12 19:09 Julien Roy
2023-09-12 19:09 Julien Roy
2023-08-30 21:49 Julien Roy
2023-08-30 21:49 Julien Roy
2023-08-17 16:49 Julien Roy
2023-08-17 16:49 Julien Roy
2023-07-10 23:46 Julien Roy
2023-07-10 23:46 Julien Roy
2023-07-01 21:39 Julien Roy
2023-07-01 21:39 Julien Roy
2023-06-19 16:51 Julien Roy
2023-06-19 16:51 Julien Roy
2023-06-12 16:23 Julien Roy
2023-06-12 16:23 Julien Roy
2023-05-29 13:09 Julien Roy
2023-05-29 13:09 Julien Roy
2023-05-24  1:49 Julien Roy
2023-04-20 16:31 Julien Roy
2023-04-20 16:30 Julien Roy
2023-04-20 16:30 Julien Roy
2023-03-28 23:47 Julien Roy
2023-03-26  4:48 Julien Roy
2023-03-26  4:48 Julien Roy
2023-03-07 15:06 Julien Roy
2023-02-07  1:10 Julien Roy
2023-02-07  1:10 Julien Roy
2023-01-31 15:21 Julien Roy
2023-01-29 23:28 Julien Roy
2023-01-29 23:28 Julien Roy
2023-01-14  4:34 Julien Roy
2022-05-19 20:59 Tony Olagbaiye
2022-05-18 19:35 Tony Olagbaiye
2022-05-18 16:40 Tony Olagbaiye

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1722553295.abab298880f704b09ae7fa44ff24d3c1e8a3205d.gentoo@gentoo \
    --to=gentoo@fictx.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox